import { SvelteComponentTyped } from "svelte";
import type { PymatgenStructure } from '../structure';
declare const __propDef: {
    props: {
        [x: string]: any;
        structure?: PymatgenStructure | undefined;
        atom_radius?: number | undefined;
        same_size_atoms?: boolean | undefined;
        camera_position?: [number, number, number] | undefined;
        initial_zoom?: number | undefined;
        auto_rotate?: number | undefined;
        zoom_speed?: number | undefined;
        pan_speed?: number | undefined;
        controls_open?: boolean | undefined;
        reveal_buttons?: number | boolean | undefined;
        show_atoms?: boolean | undefined;
        show_bonds?: boolean | undefined;
        bond_radius?: number | undefined;
        show_cell?: "wireframe" | "surface" | null | undefined;
        cell_opacity?: number | undefined;
        cell_line_width?: number | undefined;
        controls?: HTMLElement | undefined;
        toggle_controls_btn?: HTMLButtonElement | undefined;
        show_vectors?: boolean | undefined;
        width?: number | undefined;
        height?: number | undefined;
        color_scheme?: "Jmol" | "Vesta" | undefined;
        hovered?: boolean | undefined;
        dragover?: boolean | undefined;
        allow_file_drop?: boolean | undefined;
        tips_modal?: HTMLDialogElement | undefined;
        enable_tips?: boolean | undefined;
        save_json_btn_text?: string | undefined;
        atom_labels?: boolean | Record<"K" | "H" | "He" | "Li" | "Be" | "B" | "C" | "N" | "O" | "F" | "Ne" | "Na" | "Mg" | "Al" | "Si" | "P" | "S" | "Cl" | "Ar" | "Ca" | "Sc" | "Ti" | "V" | "Cr" | "Mn" | "Fe" | "Co" | "Ni" | "Cu" | "Zn" | "Ga" | "Ge" | "As" | "Se" | "Br" | "Kr" | "Rb" | "Sr" | "Y" | "Zr" | "Nb" | "Mo" | "Tc" | "Ru" | "Rh" | "Pd" | "Ag" | "Cd" | "In" | "Sn" | "Sb" | "Te" | "I" | "Xe" | "Cs" | "Ba" | "La" | "Ce" | "Pr" | "Nd" | "Pm" | "Sm" | "Eu" | "Gd" | "Tb" | "Dy" | "Ho" | "Er" | "Tm" | "Yb" | "Lu" | "Hf" | "Ta" | "W" | "Re" | "Os" | "Ir" | "Pt" | "Au" | "Hg" | "Tl" | "Pb" | "Bi" | "Po" | "At" | "Rn" | "Fr" | "Ra" | "Ac" | "Th" | "Pa" | "U" | "Np" | "Pu" | "Am" | "Cm" | "Bk" | "Cf" | "Es" | "Fm" | "Md" | "No" | "Lr" | "Rf" | "Db" | "Sg" | "Bh" | "Hs" | "Mt" | "Ds" | "Rg" | "Cn" | "Nh" | "Fl" | "Mc" | "Lv" | "Ts" | "Og", string | number> | undefined;
        atom_labels_style?: string | null | undefined;
        bond_color_mode?: "single" | "split-midpoint" | "gradient" | undefined;
        bond_color?: string | undefined;
        style?: string | null | undefined;
        show_image_atoms?: boolean | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        'controls-toggle': {
            controls_open: boolean;
        };
        'tips-icon': {};
        'atom-label': {
            slot: string;
        };
        'bottom-left': {
            structure: PymatgenStructure | undefined;
        };
    };
};
export type StructureProps = typeof __propDef.props;
export type StructureEvents = typeof __propDef.events;
export type StructureSlots = typeof __propDef.slots;
export default class Structure extends SvelteComponentTyped<StructureProps, StructureEvents, StructureSlots> {
}
export {};
